/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;


public class CTypeDependence {
    private List<CTypeRef> CTypeRef;
    private String filename;
    private String signature;
    
    public CTypeDependence() {
        CTypeRef = new ArrayList<CTypeRef>();
        this.filename = null;
        this.signature = null;
    }

    public List<CTypeRef> getCTypeRef() {
        return CTypeRef;
    }

    public void setCTypeRef(List<CTypeRef> CTypeRef) {
        this.CTypeRef = CTypeRef;
    }

    public void addCTypeRef(CTypeRef c){
        CTypeRef.add(c);
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }


}
